Bug 846400

Summary: [eap6] full-ha mode server crashed after creating/editing messaging sub-resources
Product: [Other] RHQ Project Reporter: Armine Hovsepyan <ahovsepy>
Component: PluginsAssignee: Stefan Negrea <snegrea>
Status: ON_DEV --- QA Contact: Mike Foley <mfoley>
Severity: unspecified Docs Contact:
Priority: medium    
Version: 4.4CC: hrupp, mfoley, snegrea
Target Milestone: ---   
Target Release: RHQ 4.5.0   
Hardware: i386   
OS: Linux   
See Also: https://issues.jboss.org/browse/AS7-5441
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 852891 (view as bug list) Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 846385, 847865    
Bug Blocks: 707223, 852891    
Attachments:
Description Flags
eap-full-ha.log
none
eapException.log
none
Screenshot none

Description Armine Hovsepyan 2012-08-07 12:53:34 EDT
Created attachment 602799 [details]
eap-full-ha.log

Description of problem:
While editing infinispan local-query cache resource or creating new cache resources and reloading EAP server full-ha mode is being crashed, stopped and cannot be started anymore.

Version-Release number of selected component (if applicable):
JON 3.1.1 ER1
EAP6 ER6

How reproducible:
sometimes (2 of >10 times)

Steps to Reproduce:
1. Install jon with EAP plugin
2. start eap server in full-ha mode
3. inventory eap server
4. play with infinispan cache resources - create/edit 
5. reload eap from jon
  
Actual results:
exceptions are being thrown on log and server stops permanently.

Expected results:
eap server is reloaded

Additional info:
Please get attached segments from eap log.
Comment 1 Armine Hovsepyan 2012-08-13 06:35:12 EDT
The bug is being visible when both EAP and JDG servers are up and running and both EAP and JDG plugins are up and running in JON.
marking the dependency to bug#846385.
Comment 2 Armine Hovsepyan 2012-08-23 10:07:09 EDT
but is fixed with the fix of bug#846385.

Marking as verified.
Comment 3 Armine Hovsepyan 2012-08-23 10:32:22 EDT
sorry. with the verificaiton of bug#835696 the same problem was visible again :( reopening the bug. please get attached the fragment from eap log.
Comment 4 Armine Hovsepyan 2012-08-23 10:33:16 EDT
Created attachment 606624 [details]
eapException.log
Comment 5 Stefan Negrea 2012-08-27 17:44:32 EDT
The log shows an error that is unrelated to infinispan cache resources. This bug looks related to infinispan subsystem and not the messaging subsystem. Could you please post the reproduction steps that you followed to produce the failure?
Comment 6 Heiko W. Rupp 2012-08-27 17:50:40 EDT
This can be reproduced by both delivering a connector-name and a discovery-group-name on e.g. ...hornetq... connection-factory=InVmConnectionFactory
(see screenshot)

Note that the config page even mentions that for the connector

We catch that case for create-resource but not for update.

This has nothing to do with Bug 835696
Comment 7 Heiko W. Rupp 2012-08-27 17:52:34 EDT
Created attachment 607353 [details]
Screenshot
Comment 8 Heiko W. Rupp 2012-08-28 10:12:16 EDT
Opened an AS7-issue ( https://issues.jboss.org/browse/AS7-5441 ) , as this can easily be reproduced via the CLI.
We may still want to prevent it for updates coming from us.